$(document).ready(function() {
    // 动画效果的函数
    function checkIfInView() {
        $('.fadeInElement').each(function() {
            var $element = $(this),
                elementHeight = $element.outerHeight(),
                windowHeight = $(window).height(),
                scrollTop = $(window).scrollTop(),
                elementTop = $element.offset().top,
                elementBottom = elementTop + elementHeight;

            // 检查元素是否已在视窗中，并且没有被标记过
            if (elementBottom >= scrollTop && elementTop <= (scrollTop + windowHeight) && !$element.hasClass('in-view')) {
                $element.addClass('in-view');
            }
            // 不再移除类，确保动画只触发一次
        });
    }

    // 当页面加载和滚动时，执行检查
    $(window).on('scroll resize', checkIfInView);
    checkIfInView();  // 初始化时也执行检查
});


/*页面滚动效果*/